Page MenuHomePhabricator

Clicking "save changes" in the diff screen saves your changes; some users expect it to do the same as the "back" button
Closed, DeclinedPublic

Description

Steps to reproduce. In wikitext editor 2016. On this site, I click after edding some images (see revision) on Save changes, pop up window comes, I click See changes, I click Save changes, pup up window comes, but inmediatelly disapper, because page is safed. This is unexpected behaviour as normally you can see preview and than you can also add edit summary.

Experienced on cs an pl Wikipedia. FF 51.0.1

Event Timeline

Juandev created this task.Feb 1 2017, 6:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2017, 6:34 AM

I am sorry for the tags, I cannot edit them, when creating task and I can change them even now.

Legoktm changed the visibility from "Custom Policy" to "Public (No Login Required)".
Restricted Application added a project: Security. · View Herald TranscriptFeb 1 2017, 9:32 AM

What "pop up window comes"?

Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 1 2017, 3:00 PM
Dvorapa added a subscriber: Dvorapa.Feb 1 2017, 3:45 PM
DLynch added a subscriber: DLynch.EditedFeb 1 2017, 5:20 PM

I think we can rephrase this as: in the Save dialog, the "save changes" button in the top-right should only trigger an actual save when we're on the save panel; on the diff / preview panels, it should instead return us to the save panel.

This functionality does already exist, in the form of the "return to save panel" button at the bottom of the dialog, but we could argue that it's unexpected behavior.

If nothing else, if we preserve the current behavior, we probably shouldn't flicker up the save panel like that.

Also, it's not a wikitext editor bug. It's just a general save dialog bug -- note that viewing the diff in regular VE has the same behavior.

What "pop up window comes"?

I dont know if the pop up window has any name. Is there a way to get this information? Anyway the one to edit revission summary and safe changes.

Also, it's not a wikitext editor bug. It's just a general save dialog bug -- note that viewing the diff in regular VE has the same behavior.

Well looking the diff probably so, but looking the preview not. You can see preview in VisualEditor, than click on save, enter comments for revision and save. Here once you want to see preview, you have no time to enter revision description.

(@Juandev safe = bezpečný; save = uložit ;) )

Jdforrester-WMF renamed this task from No time to add edit summary, page saved to fast to Clicking "save changes" in the diff screen saves your changes; some users expect it to do the same as the "back" button.Feb 7 2017, 8:29 PM
Jdforrester-WMF changed the task status from Open to Stalled.Feb 7 2017, 8:31 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

So… this is behaving as designed. There was a request for users who want to go fast for a button to immediately save whilst looking at the diff (or preview). If you want to be prompted to add an edit summary before save, switching on this option will prompt you in these circumstances. Not sure what to do here.

DLynch added a comment.Feb 8 2017, 2:30 AM

@Jdforrester-WMF: I do think that stopping the flash of the main save pane would be a worthwhile thing -- it gives an impression of "I could have edited this if only I was quicker" which is misleading.

Beyond that... maybe just making the "go to summary" button more visible via colors? Or moving it to the top-right next to the "save immediately" button?

Change 338134 had a related patch set uploaded (by DLynch):
MWSaveDialog: Switch to save panel when showing message

https://gerrit.wikimedia.org/r/338134

That patch stops the flicker, which I think will help avoid confusion.

Change 338134 merged by jenkins-bot:
MWSaveDialog: Switch to save panel when showing message

https://gerrit.wikimedia.org/r/338134

Jdforrester-WMF closed this task as Declined.Feb 16 2017, 5:31 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Yeah, that should help a bit. Our design policy means only one primary (solid-colour) button, so that's out.

More broadly, we should address T44138: VisualEditor: Toolbar "Save page" button is confusing as it merely opens the dialog to save the page.